## NAME

ps.select - Selects a PostScript device for GRASS hardcopy output.
(GRASS Hardcopy PostScript Output Program)

## SYNOPSIS

ps.select
ps.select help
ps.select [ -lpq] [painter=name]

## DESCRIPTION

ps.select allows the user to select the PostScript device for GRASS hardcopy output. If the user has not selected a device before running ps.map , the default device configuration (shown under NOTES below, will be used.

## OPTIONS

### Flags:

-l
  List all available PostScript painters.
-p
  Print name of currently selected PostScript painter.
-q
  Quietly select PostScript painter.

### Parameters:

painter=name
  Name of PostScript painter to select.
  Options: (this will be a list of available hardcopy output PostScript devices)

## INTERACTIVE MODE

If the user runs ps.select without specifying program arguments on the command line, the program will prompt the user for the name of a hardcopy output PostScript device to select.

## NOTES

Each PostScript device must have a device description file in the $GISBASE/etc/paint/ps\*.devices directory. The name of the device description file is used as the name of the PostScript painter. A device description file contains the following information (default values are shown):

    	level: 2
    	page width: 8.5
    	page height: 11.0
    	top margin: 0.5
    	bottom margin: 0.5
    	left margin: 0.25
    	right margin: 0.25
    	resolution: 75

where level is the PostScript level supported by the device (1 or 2); page width and page height are the paper dimensions (in inches); top margin, bottom margin, left margin and right margin are the unprintable edges of the page (in inches); and resolution is the effective resolution (in pixels per inch).

## SEE ALSO

ps.map

## AUTHOR

Paul Carlson, USDA, SCS, NHQ-CGIS

Last changed: $Date: 2002/01/25 05:45:34 $